;
; Some basic stuff as MACROs
;
; Andreas Tnne
; atoenne@t-online.de
;
; No copyright. This is free software. Thank you for naming the author
;
;***********************************************************************

; Web released version 1.0

;*********************   USAGE   ***************************************
;
; .DEF Tmp				Register >= r16
;
; SetSmallStack POS		sets the stack of small devices to POS
;						modifies Tmp
; SetLargeStack POS		sets the stack of larger devices to POS (>256 bytes SRAM)
;						modifies Tmp
;
; Example: SetSmallStack RAMEND
;

;#######################################################################

; ****** SetSmallStack ******

.MACRO SetSmallStack
	ldi Tmp, LOW(@0)
	out SPL, Tmp
.ENDMACRO

; ****** SetLargeStack ******

.MACRO SetLargeStack
	ldi Tmp, LOW(@0)
	out SPL, Tmp
	ldi Tmp, HIGH(@0)
	out SPH, Tmp
.ENDMACRO