; 
; EEProm Driver
; 
; Routines for handling the on-chip EEPROM
;
;
; Andreas Tnne
; atoenne@t-online.de
;
; Web released version 1.0

;*********************   USAGE   ***************************************
;
; .DEF EEPromAddressL					low address pointer in EEProm
; .DEF EEPromValue						value register
; .DEF Scratch							temporary status buffer 
; 
; rcall EEPromRead						Read EEPRomValue from address EEPromAddressL
; rcall EEPrimWrite						Write EEPromValue to address EEPromAddressL
;


;***** EEPromRead *****
; Read the value EEPromValue at EEPromAddressL

EEPromRead:
	sbic EECR, 1
	rjmp EEPromRead					; loop until the last write operation is finished (may take 2,5 - 4.0ms)
	out EEARL, EEPromAddressL
	sbi EECR, 0						; EERE  (reading)
	nop
	nop								; required by uC
	in EEPromValue, EEDR
	ret

EEPromWrite:
	sbic EECR, 1
	rjmp EEPromWrite				; loop until the last write operation is finished (may take 2,5 - 4.0ms)
	out EEARL, EEPromAddressL
	out EEDR, EEPromValue
	in Scratch, SREG
	cli								; stop all interupts to avoid EEPROM corruption
	sbi EECR, 2						; EEMW (master write-enable)
	sbi EECR, 1						; EEWE  (write)
	out SREG, Scratch				; restore interrup state
	ret
