; 
; MIDI Monitor Messages
; 
; Routines for display greetings, error messages and the like
;
;
; Andreas Tnne
; atoenne@t-online.de
;
; No copyright. This is free software. Thank you for naming the author
;
; Web released version 1.0

;****** Greetings **********
; Shows a brief greeting and the current version number 

GreetingText: .db "MIDI Monitor V1.0 "

Greetings:
	ldi LCDValue, 0b01000001			; (1, 1)
	rcall LCD420SetCursorPos
	LCDTextP GreetingText, 17

	ldi Scratch, 100
MessageWaitloop:
	Delay 10000							; 10ms * 100 iterations = 1sec
	dec Scratch
	brne MessageWaitloop

	LCDClearDisplay
	ret

;****** Overrun *******
; Shows an overrun error message, clears the UART buffer and data buffer

OverrunText: .db "Buffer", 0xF5 ,"berlauf"

Overrun:
	cli
	LCDClearDisplay
	LCDTextP OverrunText, 14

	; here reset the display window
	ldi Scratch, 100
	rcall MessageWaitLoop
	rjmp RESET